Bug 88738 - No way to uninstall packages that are installed, such as KDE
No way to uninstall packages that are installed, such as KDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2003-04-12 16:01 EDT by cris farmer
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 16:22:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cris farmer 2003-04-12 16:01:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 

Description of problem:
If I open the package manager in RedHat 9, I have no way of uninstalling major 
packages that are installed.  For example.  If I want to remove KDE, there is 
no way to do it.  There is also no easy way of installing additional RPMs and 
seeing them in the list expect by click on the file or going to a command 
prompt.  The package manager is not as friendly or easy to use as KPACKAGE was 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Open the package manager
2.  Try to uninstall all of KDE

Actual Results:  nothing

Expected Results:  I should have the optiona to remove all of KDE

Additional info:
Comment 1 Jeremy Katz 2003-04-18 16:53:30 EDT
Some of this is bug 78996, the part about removing KDE (or GNOME) is
intentional.  These groups are not allowed to be removed because doing so could
make it impossible to restart the tool and make your system usable again.
Comment 2 cris farmer 2003-04-18 21:59:33 EDT
If I am root, I should be allowed to uninstall any package, whether it makes my
system unstable or not.  And what about the other issue, I if I install 3rd
party RMPs, how do I find them in the add / remove programs.  I mis KPACKAGE, at
least I had some control of the packages on my system.
Comment 3 Jeremy Katz 2005-09-21 16:22:24 EDT
This report is filed against a product which is no longer supported.  It is very
likely that the problem is resolved in the current version of Fedora Core or
scheduled to be resolved with the new system-config-packages scheduled to land
in Fedora Core 5.

Note You need to log in before you can comment on or make changes to this bug.